﻿Type=Class
Version=5.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private nativeMe As JavaObject
End Sub
'Initializes the object.
Public Sub Initialize
	nativeMe = Me
	nativeMe.RunMethod("Initialize", Null)
End Sub

'Speak out a string of characters (a word or a sentence)
'Example:
'Dim tts As TTSUtilities
'tts.Initialize
'
'Dim mystring As String = "This is a TTS message"
'tts.speakOut(mystring)
Public Sub speakOut (mystring As String)
	
	nativeMe.RunMethod("speakOut", Array (mystring))

End Sub

'Release the TextToSpeech resources
'Example:
'Dim tts As TTSUtilities
'tts.Initialize
'
'tts.clearTextToSpeech
Public Sub clearTextToSpeech
	
	nativeMe.RunMethod("clearTextToSpeech", Null)

End Sub


#If Java

  import android.speech.tts.TextToSpeech;
  import java.util.Locale;

  private TextToSpeech tts;
  
  
  public void Initialize() {
        tts=new TextToSpeech(BA.applicationContext, new TextToSpeech.OnInitListener() {
         @Override
         public void onInit(int status) {
            if(status != TextToSpeech.ERROR) {
               tts.setLanguage(Locale.UK);
            }
         }
      });
  }

  
  public void speakOut(String str) {
      
        tts.speak(str, TextToSpeech.QUEUE_FLUSH, null);
  }
  
  
  public void clearTextToSpeech() {
      // Don't forget to shutdown tts!
      if (tts != null) {
          tts.stop();
          tts.shutdown();
      }
  }
  


#End If

